---
title: "Delete AI content by batchId"
url: https://docs.gleap.ai/en/reference/rest-api/remove-by-batch-id
method: DELETE
path: "/aicontent/batch/{batchId}"
api: "API Reference"
tag: "AI content"
operationId: "RemoveByBatchId"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Delete AI content by batchId

`DELETE https://api.gleap.io/v3/aicontent/batch/{batchId}`

Delete all AI content by batchId

Remove all AI content entries with the specified batchId

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `batchId` (string, required)

## Headers

- `project` (string, required)

## Example request

```bash
curl --request DELETE \
  --url 'https://api.gleap.io/v3/aicontent/batch/{batchId}' \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>'
```

## Responses

### 200 (`application/json`)

Ok

- `deleted` (any, required)
- `success` (boolean, required)

```json
{
  "success": true
}
```
